Skip to content

Get Batch Status

GET
/api/v1/batch/{batch_id}/status
curl --request GET \
--url https://api.totalview.energy/api/v1/batch/example/status \
--header 'Authorization: Bearer <token>'

Get the status of a batch execution.

batch_id
required
Batch Id
string

Successful Response

Media type application/json
BatchStatusResponse

Status of a batch execution.

object
batch_id
required
Batch Id
string
customer_id
required
Customer Id
string format: uuid
project_count
required
Project Count
integer
completed_count
required
Completed Count
integer
failed_count
required
Failed Count
integer
queued_count
required
Queued Count
integer
status
required
Status
string
Allowed values: queued running completed failed partial
created_at
required
Created At
string format: date-time
started_at
Any of:
string format: date-time
completed_at
Any of:
string format: date-time
duration_seconds
Any of:
integer
callback_url
Any of:
string
Example
{
"status": "queued"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}